$vw-viewport: 1920;
$html-font-size: 16;
$mobile-viewport: 320;
$vw-enable: true;
$rem-enable: true;

@function get-vw($size) {
  @if $vw-enable {
    $vw-context: $vw-viewport * 0.01 * 1px;
    @return $size / $vw-context * 1vw;
  }
  @return $size;
}

@function vw-m($size) {
  @if $vw-enable {
    $vw-context: 360 * 0.01 * 1px;
    @return $size / $vw-context * 1vw;
  }
  @return $size;
}

@function get-rem($size) {
  @if $rem-enable {
    $rem-context: $html-font-size * 1px;
    @return $size / $rem-context * 1rem;
  }
  @return $size;
}

@function calcFluidFontSize($f-min, $f-max) {
  $k: ($f-max - $f-min)/($vw-viewport - $mobile-viewport);
  $b: $f-min - $k * $mobile-viewport;
  $b: $b * 1px;
  @return calc( #{$k} * 100vw + #{$b} );
}